Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultErrorHandler

    java.lang.Object
      org.apache.batik.parser.DefaultErrorHandler

All Implemented Interfaces:
  ErrorHandler

public class DefaultErrorHandler
extends java.lang.Object
implements ErrorHandler

This class provides a default implementation of ErrorHandler.

Constructor Summary
`DefaultErrorHandler()`

Method Summary
`void` | `error(ParseException e)` Implements `ErrorHandler.error(ParseException)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

Method Detail

### error

    public void error(ParseException e)
               throws ParseException

  Implements `ErrorHandler.error(ParseException)`. Throws the given exception.

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.